Nokia N97 SDK Example Applications Guide

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CHsWidgetDocument Class Reference

`#include <HsWidgetDocument.h>`

Inheritance diagram for CHsWidgetDocument:

List of all members.

## Detailed Description

CHsWidgetDocument application class. An instance of class CHsWidgetDocument is the Document part of the AVKON application framework for the HsWidget example application.

Definition at line 27 of file HsWidgetDocument.h.

## Public Member Functions
virtual | ~CHsWidgetDocument ()
CEikAppUi * | CreateAppUiL ()
## Static Public Member Functions
static CHsWidgetDocument * | NewL (CEikApplication &aApp)
static CHsWidgetDocument * | NewLC (CEikApplication &aApp)
## Private Member Functions
void | ConstructL ()
| CHsWidgetDocument (CEikApplication &aApp)

## Constructor & Destructor Documentation

CHsWidgetDocument::~CHsWidgetDocument | ( |  | ) | `[virtual]`

| ~CHsWidgetDocument Virtual Destructor. Definition at line 68 of file HsWidgetDocument.cpp.
    00069         {
    00070         // No implementation required
    00071         }

CHsWidgetDocument::CHsWidgetDocument | ( | CEikApplication & | aApp | ) | `[private]`

  | CHsWidgetDocument. C++ default constructor. Parameters:
  | aApp | Application creating this document.
Definition at line 57 of file HsWidgetDocument.cpp. Referenced by NewLC().
    00057                                                           :
    00058         CAknDocument(aApp)
    00059         {
    00060         // No implementation required
    00061         }

## Member Function Documentation

CHsWidgetDocument * CHsWidgetDocument::NewL | ( | CEikApplication & | aApp | ) | `[static]`

  | NewL. Two-phased constructor. Construct a CHsWidgetDocument for the AVKON application aApp using two phase construction, and return a pointer to the created object. Parameters:
  | aApp | Application creating this document.
Returns: A pointer to the created instance of CHsWidgetDocument. Definition at line 21 of file HsWidgetDocument.cpp. References NewLC(). Referenced by CHsWidgetApplication::CreateDocumentL().
    00022         {
    00023         CHsWidgetDocument* self = NewLC(aApp);
    00024         CleanupStack::Pop(self);
    00025         return self;
    00026         }

CHsWidgetDocument * CHsWidgetDocument::NewLC | ( | CEikApplication & | aApp | ) | `[static]`

  | NewLC. Two-phased constructor. Construct a CHsWidgetDocument for the AVKON application aApp using two phase construction, and return a pointer to the created object. Parameters:
  | aApp | Application creating this document.
Returns: A pointer to the created instance of CHsWidgetDocument. Definition at line 33 of file HsWidgetDocument.cpp. References CHsWidgetDocument(). Referenced by NewL().
    00034         {
    00035         CHsWidgetDocument* self = new ( ELeave ) CHsWidgetDocument( aApp );
    00036
    00037         CleanupStack::PushL(self);
    00038         self->ConstructL();
    00039         return self;
    00040         }

CEikAppUi * CHsWidgetDocument::CreateAppUiL | ( |  | ) |

| CreateAppUiL From CEikDocument, CreateAppUiL. Create a CHsWidgetAppUi object and return a pointer to it. The object returned is owned by the Uikon framework. Returns: Pointer to created instance of AppUi. Definition at line 78 of file HsWidgetDocument.cpp.
    00079         {
    00080         // Create the application user interface, and return a pointer to it;
    00081         // the framework takes ownership of this object
    00082         return new ( ELeave )CHsWidgetAppUi;
    00083         }

void CHsWidgetDocument::ConstructL | ( |  | ) | `[private]`

| ConstructL 2nd phase constructor. Definition at line 47 of file HsWidgetDocument.cpp.
    00048         {
    00049         // No implementation required
    00050         }

The documentation for this class was generated from the following files:

- HsWidgetDocument.h
- HsWidgetDocument.cpp

© Nokia 2009 |